using PARR.Core.Repositories.Interfaces;
using PARR.DAL.Context;
using PARR.Domain.Entities;

namespace PARR.DAL.Repositories
{
    internal class RobotRepository : IRobotRepository
    {
        private readonly DataContext dataContext;

        public RobotRepository(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<Robot> Get()
        {
            return dataContext.Robots;
        }
    }
}
